export default [
    {
        url: '/mncp/index.do',
        response: ({ query }) => {
            return {
                success: true,
                code: "",
                message: "",
                timeStamp: Date.now(),
                data: {
                    productName: "productName",
                    totalProfit: Math.random() * 100000 >> 0,
                    tranche: Math.random() * 100000 >> 0,
                    marketValue: Math.random() * 10000000 >> 0,
                    yesterdayProfit: Math.random() * 10000 >> 0,
                    availableFunds: Math.random() * 10000000 >> 0,
                    minBuyLimit: 100,
                }
            }
        },
    },
    {
        url: '/mncp/buy.do',
        response: ({ query }) => {
            return {
                success: true,
                code: "",
                message: "",
                data: null,
            }
        },
    },
    {
        url: '/mncp/redeem.do',
        response: ({ query }) => {
            return {
                success: true,
                code: "",
                message: "",
                data: null,
            }
        },
    },
    {
        url: '/mncp/tradeRecords.do',
        response: ({ query }) => {
            return {
                success: true,
                code: "",
                message: "",
                data: {
                    haveMore: true,
                    list: new Array(20).fill(1).map((_, i) => {
                        return {
                            desc: "模拟交易记录页--" + i,
                            gmtCreate: Date.now() + Math.random() * 1000000000,
                            amount: Math.random() * 10000000 >> 0,
                            tradeStatus: Math.random() * 3 >> 0,
                        }
                    }),
                }
            }
        },
    },
]
